#include "versionchecker.h"
#include <stdint.h>
#include <rpm/rpmevr.h>

VersionChecker::VersionChecker()
{
}

bool VersionChecker::isVersionBad(QString version)
{
    // return false if there are 3 times more letters than numbers
    int numbers = 0;
    for (int j = 0; j < version.length(); j++)
    {
        if (version.at(j).isNumber())
            numbers++;
    }
    if (numbers < version.length() / 3)
        return true;
    else
        return false;
}

bool VersionChecker::firstVersionLess(QString version1, QString version2) const
{
    int result = rpmvercmp(version1.toLatin1(), version2.toLatin1());
    if (result == -1)
        return true;
    else
        return false;
}
